---
apiVersion: yaook.cloud/v1
kind: InfrastructureIronicDeployment
metadata:
  name: infra-ironic
  namespace: yaook-bmc
spec:
  ingressAddress: {{ yaook_k8s_ymc_fixed_ip }}
  api:
    replicas: {{ infra_ironic_api_replicas }}
    ingress:
      fqdn: ironic.ymc.{{ cluster_name }}
      port: 32443
  inspectorApi:
    replicas: {{ infra_ironic_inspectorApi_replicas }}
    ingress:
      fqdn: inspector.ymc.{{ cluster_name }}
      port: 32443
  database:
    ironic:
      replicas: {{ infra_ironic_database_replicas }}
      storageClassName: csi-driver-lvm-linear
      proxy: {}
      backup:
        schedule: "0 * * * *"
    inspector:
      replicas: {{ infra_ironic_inspector_database_replicas }}
      storageClassName: csi-driver-lvm-linear
      proxy: {}
      backup:
        schedule: "0 * * * *"
  conductor:
    replicas: {{ infra_ironic_conductor_replicas }}
  memcached:
    memory: 1024
    connections: 2000
  imageServer:
    ingress:
      fqdn: image.ymc.{{ cluster_name }}
      port: 32080
    storageClassName: csi-driver-lvm-linear
    storageSize: 16Gi
  targetRelease: {{ infra_ironic_targetRelease }} #yoga
  issuerRef:
    name: ca-issuer
  pxe:
    listenNetwork: {{ infra_ironic_pxe_listen_network }}
    dhcp:
      - dhcpRange: {{ infra_ironic_pxe_dhcp_range }}
{% if not yaook_k8s_ip6_enabled %}
        defaultGateway: {{ infra_ironic_pxe_dhcp_gateway }}
{% endif %}
  dnsmasq:
    storageClassName: csi-driver-lvm-linear
  keystoneRef:
    name: keystone
  ironicConfig:
    DEFAULT:
      enabled_power_interfaces:
        - ipmitool
      enabled_management_interfaces:
        - ipmitool
      enabled_hardware_types:
        - ipmi
      enabled_boot_interfaces:
        - ipxe
      default_raid_interface: agent
    deploy:
      erase_devices_priority: 0
      erase_devices_metadata_priority: 10
      delete_configuration_priority: 11
    pxe:
      # if your are running anything newer than xena
      kernel_append_params: ipa-insecure=1
      # otherwise
      # pxe_append_params: ipa-insecure=1 ipa-ntp-server=192.168.1.2
      # after victoria, ssl between the agent (running its local temp wsgi) and the conductor becomes mandatory
      # to make sure the ssl cert is valid we suggest you use an reachable
      # ntp relay so the time between the agent (ipa) and the conductor is synced
      #
      # Also make sure your ipa is runing the same timezone as your conductor.
      # For some reason CentOS Stream9 runs EST as its default timezone...
  ipa:
    pxeAppendKernelParams: ipa-collect-lldp=1 ipa-lldp-timeout=107
  inspectorConfig:
    processing:
      processing_hooks: \$default_processing_hooks,lldp_basic
  region:
    name: MyRegion
---
